| ICM42370P eMD Driver 2.2.7 Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_device Struct Reference
Driver

IMU driver states definition. More...

`#include <inv_imu_driver.h>`

Collaboration diagram for inv_imu_device:
[legend]

## Public Attributes
struct inv_imu_transport | transport
| Transport layer. More...
void(* | sensor_event_cb )(inv_imu_sensor_event_t *event)
| callback executed by: More...
uint8_t | fifo_data [FIFO_MIRRORING_SIZE]
| FIFO mirroring memory area. More...
uint8_t | dmp_is_on
| DMP started status. More...
uint8_t | endianness_data
| Data endianness configuration. More...
uint8_t | fifo_highres_enabled
| Highres mode configuration. More...
INV_IMU_FIFO_CONFIG_t | fifo_is_used
| FIFO configuration. More...
uint64_t | accel_start_time_us
| Accel start time to discard first samples. More...

## Detailed Description

IMU driver states definition.

## Member Data Documentation

## ◆ accel_start_time_us

uint64_t inv_imu_device::accel_start_time_us

Accel start time to discard first samples.

## ◆ dmp_is_on

uint8_t inv_imu_device::dmp_is_on

DMP started status.

## ◆ endianness_data

uint8_t inv_imu_device::endianness_data

Data endianness configuration.

## ◆ fifo_data

uint8_t inv_imu_device::fifo_data[FIFO_MIRRORING_SIZE]

FIFO mirroring memory area.

## ◆ fifo_highres_enabled

uint8_t inv_imu_device::fifo_highres_enabled

Highres mode configuration.

## ◆ fifo_is_used

INV_IMU_FIFO_CONFIG_t inv_imu_device::fifo_is_used

FIFO configuration.

## ◆ sensor_event_cb

void(* inv_imu_device::sensor_event_cb) (inv_imu_sensor_event_t *event)

callback executed by:

- inv_imu_get_data_from_fifo (if FIFO is used).
- inv_imu_get_data_from_registers (if FIFO isn't used). May be NULL if above API are not used by application

## ◆ transport

struct inv_imu_transport inv_imu_device::transport

Transport layer.

Warning
  Must be the first one of struct inv_imu_device

The documentation for this struct was generated from the following file:

- inv_imu_driver.h